For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
      • GETList webhooks
      • POSTCreate a webhook
      • GETRetrieve a webhook
      • PUTUpdate a webhook
      • DELDelete a webhook
      • GETRetrieve OIDC public keys
LogoLogo
Contact SalesGet Support
Middesk APIWebhooks

Delete a webhook

DELETE
https://api.middesk.com/v1/webhooks/:id
DELETE
/v1/webhooks/:id
$curl -X DELETE https://api.middesk.com/v1/webhooks/id \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Retrieve OIDC public keys

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Webhook ID

Errors

404
Delete Webhook Request Not Found Error